
import { filter, Observable, Observer, Subject, Subscription, takeWhile, Unsubscribable } from 'rxjs';
import { AdapterProfile, AdaptorTransmissionRole } from '../interface/connector.interface';
import { Bus, FisMessage, MessageTransmissionBase as MessageTransmissionBaseInterface, TransmissionProfile } from '../interface/transport.interface'
import { v4 as uuidv4 } from 'uuid'
import { ConnectionAdapter } from '../connector/connector.base';

export class MessageTransmissionBase implements MessageTransmissionBaseInterface {
    transmissionProfile!: TransmissionProfile
    msgRepositoryService: any;
    transmissionRole!: AdaptorTransmissionRole;
    adaptorsArray: Array<ConnectionAdapter> = []
    transmissionService: any;
    adapterService!: ConnectionAdapter | undefined
    incomingMessageBus!: Subject<any>;
    outgoingMessageBus!: Subject<any>;

    constructor() { 
        // logic here
    }

    getInfo(): TransmissionProfile {
        return this.transmissionProfile
    }

}